package cn.reghao.oss.console.app.db.mapper;

import cn.reghao.jutil.jdk.db.BaseMapper;
import cn.reghao.oss.console.app.model.po.UserNode;

import java.util.List;

/**
 * @author reghao
 * @date 2024-07-02 18:15:42
 */
public interface UserNodeRepository extends BaseMapper<UserNode> {
    UserNode findById(int id);
    int countByNodeId(int nodeId);
    UserNode findByNodeIdAndUserId(int nodeId, int userId);
    UserNode findByDomain(String domain);
    List<UserNode> findByUserId(int userId);
}
